package bytearray

import (
	"testing"
)

func BenchmarkByteArray(b *testing.B) {
	b.ReportAllocs()
	//写入
testbyte:=CreateByteArray()
for i := 0; i < b.N; i++ {
    testbyte.writeNumber(42)
    testbyte.writeNumber(12345.4)
    testbyte.writeNumber(123456789)
    testbyte.writeNumber(1234567890123456789)
    testbyte.WriteString("test string")
    testbyte.Bytes()
}


}
